GNU bug report logs - #15998
24.3; forward-sexp (scan-sexps) doesn't do well with some SEXPs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Shigeru Fukaya <shigeru.fukaya@HIDDEN>; Keywords: patch; dated Fri, 29 Nov 2013 14:46:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) patch. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 15998 <at> debbugs.gnu.org:


Received: (at 15998) by debbugs.gnu.org; 3 Dec 2013 17:09:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 12:09:55 2013
Received: from localhost ([127.0.0.1]:56687 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VntTv-0006yP-Fx
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2013 12:09:55 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:10606)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VntTu-0006yA-5Y
 for 15998 <at> debbugs.gnu.org; Tue, 03 Dec 2013 12:09:54 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AioQABK/CFFFxL6g/2dsb2JhbABEhCa6aBdzgh4BAQQBViMFCws0EhQYDSSIHgaxH5AOkQoDiGGcGYFegxU
X-IPAS-Result: AioQABK/CFFFxL6g/2dsb2JhbABEhCa6aBdzgh4BAQQBViMFCws0EhQYDSSIHgaxH5AOkQoDiGGcGYFegxU
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="41010289"
Received: from 69-196-190-160.dsl.teksavvy.com (HELO pastel.home)
 ([69.196.190.160])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 03 Dec 2013 12:09:48 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id 3E84A600BF; Tue,  3 Dec 2013 12:09:48 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Shigeru Fukaya <shigeru.fukaya@HIDDEN>
Subject: Re: bug#15998: 24.3;
 forward-sexp (scan-sexps) doesn't do well with some SEXPs
Message-ID: <jwvfvq9x3p4.fsf-monnier+emacsbugs@HIDDEN>
References: <6CEED119478A9shigeru.fukaya@HIDDEN>
 <jwvy547b0aj.fsf-monnier+emacsbugs@HIDDEN>
 <7CEEED1244961shigeru.fukaya@HIDDEN>
 <jwv61r85mov.fsf-monnier+emacsbugs@HIDDEN>
 <8CEF00CAB165Bshigeru.fukaya@HIDDEN>
Date: Tue, 03 Dec 2013 12:09:48 -0500
In-Reply-To: <8CEF00CAB165Bshigeru.fukaya@HIDDEN> (Shigeru Fukaya's message
 of "Tue, 03 Dec 2013 18:47:24 +0900")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 15998
Cc: 15998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> 1) add `scan-sexps' an optional argument, `elisp-syntax'.

I don't think I want to add such elisp-specific hacks to the
scan-sexps code.  Better would be to change emacs-lisp-mode to set
forward-sexp-function to a function that handles those cases.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15998; Package emacs. Full text available.

Message received at 15998 <at> debbugs.gnu.org:


Received: (at 15998) by debbugs.gnu.org; 3 Dec 2013 09:47:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 04:47:30 2013
Received: from localhost ([127.0.0.1]:55525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnmZl-0006Px-Pr
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2013 04:47:30 -0500
Received: from mail-pb0-f42.google.com ([209.85.160.42]:50813)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <shigeru.fukaya@HIDDEN>) id 1VnmZi-0006Pk-US
 for 15998 <at> debbugs.gnu.org; Tue, 03 Dec 2013 04:47:27 -0500
Received: by mail-pb0-f42.google.com with SMTP id uo5so20743551pbc.15
 for <15998 <at> debbugs.gnu.org>; Tue, 03 Dec 2013 01:47:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:mime-version:content-type:in-reply-to
 :references:message-id;
 bh=zctv0btNvDqw4TraktwO8L1AI/R3i3jlm2vnagTuMlA=;
 b=QBOAdjhK873ck8c8zpBfAenXKbQkDgnKURA1hYrMZXNteCE1HF01o32xSxXEUc58Es
 6CqNP5VKrnb0bjdILx3nQxdByDzXAzwIb8/rVKCCSj9T3hCsrDrFcumS7gwwxtpTlw2q
 PBi+mXAydyIJP4jOE5uP8znaWr4xFdNER06HH2cCfquOX1M/H86GXouWPT04bYMwhLEg
 /t3J1ROZNr/t3D6PPjdfd2Vd5UHFXwL6v2VS/qNnNEtk8KMXQVJVVFgpNC5K7MkyGpoV
 YW2hVv8mGJTbUU1CmJpTpN1KoFoNzfW9V1+NMrj6ZfmbZ+6xUaT/AxpXI1fyalfteMhu
 6/Vg==
X-Received: by 10.66.192.198 with SMTP id hi6mr74325709pac.87.1386064040462;
 Tue, 03 Dec 2013 01:47:20 -0800 (PST)
Received: from gmail.com (115x125x38x6.ap115.ftth.ucom.ne.jp. [115.125.38.6])
 by mx.google.com with ESMTPSA id
 rz6sm133489327pab.22.2013.12.03.01.47.18 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-AES128-SHA bits=128/128);
 Tue, 03 Dec 2013 01:47:19 -0800 (PST)
From: Shigeru Fukaya <shigeru.fukaya@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>,
 15998 <at> debbugs.gnu.org
Subject: Re: bug#15998: 24.3;
 forward-sexp (scan-sexps) doesn't do well with some SEXPs
Date: Tue, 03 Dec 2013 18:47:24 +0900
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="Boundary-NX99F4nDXKUSaYmLWr4ME"
X-Mailer: HidemaruMail 6.18 (WinNT,602)
In-Reply-To: <jwv61r85mov.fsf-monnier+emacsbugs@HIDDEN>
References: <6CEED119478A9shigeru.fukaya@HIDDEN>
 <jwvy547b0aj.fsf-monnier+emacsbugs@HIDDEN>
 <7CEEED1244961shigeru.fukaya@HIDDEN>
 <jwv61r85mov.fsf-monnier+emacsbugs@HIDDEN>
Message-Id: <8CEF00CAB165Bshigeru.fukaya@HIDDEN>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  >> 2. ^[...] ^^[...] char table Sorry,
 but it's #^[...] #^^[...]
 >> 4. $! beginning of executable file [...] 
 Content analysis details:   (2.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.3 FSL_HELO_FAKE          FSL_HELO_FAKE
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (shigeru.fukaya[at]gmail.com)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [209.85.160.42 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 15998
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >> 2. ^[...] ^^[...] char table Sorry, but it's #^[...] #^^[...]
    >> 4. $! beginning of executable file [...] 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [209.85.160.42 listed in list.dnswl.org]
  3.3 FSL_HELO_FAKE          FSL_HELO_FAKE
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (shigeru.fukaya[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

--Boundary-NX99F4nDXKUSaYmLWr4ME
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

>> 2. ^[...] ^^[...]   char table

Sorry, but it's #^[...] #^^[...]


>> 4. $!               beginning of executable file

>I don't know what 4 is.  Or do you mean "#!" as the first two chars of
>the file?  We could setup syntax-propertize-function to mark them as
>comments, indeed.

It is just magic number of unix files.

(read-from-string "#!/usr/local/bin/emacs\n(pwd)") --> ((pwd) . 28)

see read1 in lread.c.


And, my changes to the latest emacs are,

1) add `scan-sexps' an optional argument, `elisp-syntax'.

2) pass `scan_lists' the optional argument.

3) `scan_lists' handles elisp specific handling when the argument is set.

4) `forward-sexp' calls `scan-sexps' with the optional argument non-nil
value when the current buffer's mode is elisp related mode.
Anso, do additional movement for labels of cyclic object, as is for
prefixes.

(Is a change in the last sentence above unnecessary?)


As a result, I seems doing expectedly on such an object as below.

(a  b  #&3"d"  #&99"ZZZ"  #1=a  #2= b  #1# #3= #40= (c) #40# #2# #10= #&10"A"
   #s(dummy 1 2 3)  #^^[dummy 1 2 3]  #^[dummy 1 2 3]  ##  xyz)


Regards,
Shigeru


---------------------
ChangeLog

	Add support for elisp syntax of bool vector, label of cyclic object,
	hash table, char-table and empty symbol.
	* lisp.el (forward-sexp)

	* syntax.c (scan_lists, Fscan_lists, Fscan_sexps)



lisp.el

(defun forward-sexp (&optional arg)
  "Move forward across one balanced expression (sexp).
With ARG, do it that many times.  Negative arg -N means
move backward across N balanced expressions.
This command assumes point is not in a string or comment.
Calls `forward-sexp-function' to do the work, if that is non-nil."
  (interactive "^p")
  (let ((elisp (memq major-mode '(emacs-lisp-mode
				  ;;eshell-mode
				  inferior-emacs-lisp-mode
				  lisp-interaction-mode))))
    (or arg (setq arg 1))
    (if forward-sexp-function
	(funcall forward-sexp-function arg)
      (goto-char (or (scan-sexps (point) arg elisp) (buffer-end arg)))
      (when (< arg 0)
	(when elisp
	  (save-match-data
	    (while (re-search-backward "#[0-9]+=\\s-*\\=" nil t))))
	(backward-prefix-chars)))))


--Boundary-NX99F4nDXKUSaYmLWr4ME
Content-Type: application/octet-stream; name="syntax.patch"
Content-Disposition: attachment; filename="syntax.patch"
Content-Transfer-Encoding: base64
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--Boundary-NX99F4nDXKUSaYmLWr4ME--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15998; Package emacs. Full text available.

Message received at 15998 <at> debbugs.gnu.org:


Received: (at 15998) by debbugs.gnu.org; 1 Dec 2013 20:44:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 01 15:44:27 2013
Received: from localhost ([127.0.0.1]:53557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnDsQ-00057b-2o
	for submit <at> debbugs.gnu.org; Sun, 01 Dec 2013 15:44:26 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:12279)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VnDsN-00057L-QH
 for 15998 <at> debbugs.gnu.org; Sun, 01 Dec 2013 15:44:24 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFMCox4/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOIYZwZgV6DFQ
X-IPAS-Result: Av4EABK/CFFMCox4/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOIYZwZgV6DFQ
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="40855313"
Received: from 76-10-140-120.dsl.teksavvy.com (HELO pastel.home)
 ([76.10.140.120])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 01 Dec 2013 15:44:17 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id 9490760CCE; Sun,  1 Dec 2013 15:44:17 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Shigeru Fukaya <shigeru.fukaya@HIDDEN>
Subject: Re: bug#15998: 24.3;
 forward-sexp (scan-sexps) doesn't do well with some SEXPs
Message-ID: <jwv61r85mov.fsf-monnier+emacsbugs@HIDDEN>
References: <6CEED119478A9shigeru.fukaya@HIDDEN>
 <jwvy547b0aj.fsf-monnier+emacsbugs@HIDDEN>
 <7CEEED1244961shigeru.fukaya@HIDDEN>
Date: Sun, 01 Dec 2013 15:44:17 -0500
In-Reply-To: <7CEEED1244961shigeru.fukaya@HIDDEN> (Shigeru Fukaya's message
 of "Mon, 02 Dec 2013 05:08:46 +0900")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 15998
Cc: 15998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> I tried to fix the issue, and seemingly successful.
> But I found more to do newly, possibly.  Those are,

> 1. #s(...)          hash table
> 2. ^[...] ^^[...]   char table
> 3. #@NUMBER         comments
> 4. $!               beginning of executable file
> 5. ##               empty symbol

3 should only appear in .elc files and the mode used in .elc files
(emacs-lisp-byte-code-mode) already sets up syntax-propertize-function
to handle them correctly.

I don't know what 4 is.  Or do you mean "#!" as the first two chars of
the file?  We could setup syntax-propertize-function to mark them as
comments, indeed.

> I think doing for 1, 2, 5 are practically sufficient.

Sounds right.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15998; Package emacs. Full text available.

Message received at 15998 <at> debbugs.gnu.org:


Received: (at 15998) by debbugs.gnu.org; 1 Dec 2013 20:08:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 01 15:08:53 2013
Received: from localhost ([127.0.0.1]:53540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VnDK1-0004H7-BF
	for submit <at> debbugs.gnu.org; Sun, 01 Dec 2013 15:08:53 -0500
Received: from mail-pb0-f54.google.com ([209.85.160.54]:44001)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <shigeru.fukaya@HIDDEN>) id 1VnDJy-0004Gt-JL
 for 15998 <at> debbugs.gnu.org; Sun, 01 Dec 2013 15:08:51 -0500
Received: by mail-pb0-f54.google.com with SMTP id un15so17388996pbc.41
 for <15998 <at> debbugs.gnu.org>; Sun, 01 Dec 2013 12:08:44 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:mime-version:content-type
 :content-transfer-encoding:in-reply-to:references:message-id;
 bh=yQq2m5oMfMAgwQWx8M73MR4M0qsN+R/I/jKFt7SY9ts=;
 b=A0m/TGxd1oisSO7fq7bHImsVnNanzEZSgfp4gVfSBbApZrUNinzk/yn9LeSBdLeuzt
 +Z4EG/Oh8PXAfBwBQW+KBwPqW7a8uxNy1W3bF2ym4fsW7dQLe+HDud4RDRjoZz4VLtgq
 +5V7dDxm1XKpsEWub2L6LdXPA++wPAKpg8zW3wWRDHqZVfhfaUYL8gWdM5yMar9ukIs1
 hvmSr/1I2BY135Y31sAmw9DsS4Sx7yR0qlrkdAqqqp9QMlPId1BWuJQtfJ5wIIUItqG2
 e4nnsBCy3r+MLhzAQ7TkhQAVJs1WHqGuV2qPtzqHp8bhn/DBYPYE2OIPdx8m6tfr1+HQ
 Zefw==
X-Received: by 10.68.129.201 with SMTP id ny9mr27648251pbb.70.1385928524727;
 Sun, 01 Dec 2013 12:08:44 -0800 (PST)
Received: from gmail.com (115x125x38x6.ap115.ftth.ucom.ne.jp. [115.125.38.6])
 by mx.google.com with ESMTPSA id
 qz9sm115997132pbc.3.2013.12.01.12.08.43 for <multiple recipients>
 (version=TLSv1 cipher=ECDHE-RSA-AES128-SHA bits=128/128);
 Sun, 01 Dec 2013 12:08:44 -0800 (PST)
From: Shigeru Fukaya <shigeru.fukaya@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>,
 15998 <at> debbugs.gnu.org
Subject: Re: bug#15998: 24.3;
 forward-sexp (scan-sexps) doesn't do well with some SEXPs
Date: Mon, 02 Dec 2013 05:08:46 +0900
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: HidemaruMail 6.18 (WinNT,602)
In-Reply-To: <jwvy547b0aj.fsf-monnier+emacsbugs@HIDDEN>
References: <6CEED119478A9shigeru.fukaya@HIDDEN>
 <jwvy547b0aj.fsf-monnier+emacsbugs@HIDDEN>
Message-Id: <7CEEED1244961shigeru.fukaya@HIDDEN>
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  I tried to fix the issue, and seemingly successful. But I
 found more to do newly, possibly. Those are, 1. #s(...) hash table 2. ^[...]
 ^^[...] char table 3. #@NUMBER comments 4. $! beginning of executable file
 5. ## empty symbol [...] 
 Content analysis details:   (2.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.5 FSL_HELO_FAKE          FSL_HELO_FAKE
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (shigeru.fukaya[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [209.85.160.54 listed in list.dnswl.org]
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 15998
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  I tried to fix the issue, and seemingly successful. But I
   found more to do newly, possibly. Those are, 1. #s(...) hash table 2. ^[...]
    ^^[...] char table 3. #@NUMBER comments 4. $! beginning of executable file
    5. ## empty symbol [...] 
 
 Content analysis details:   (2.8 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [209.85.160.54 listed in list.dnswl.org]
  3.5 FSL_HELO_FAKE          FSL_HELO_FAKE
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail provider
                             (shigeru.fukaya[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

I tried to fix the issue, and seemingly successful.
But I found more to do newly, possibly.  Those are,

1. #s(...)          hash table
2. ^[...] ^^[...]   char table
3. #@NUMBER         comments
4. $!               beginning of executable file
5. ##               empty symbol

I think doing for 1, 2, 5 are practically sufficient.

Shigeru




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15998; Package emacs. Full text available.

Message received at 15998 <at> debbugs.gnu.org:


Received: (at 15998) by debbugs.gnu.org; 29 Nov 2013 17:12:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 29 12:12:59 2013
Received: from localhost ([127.0.0.1]:50462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VmRch-0003O4-Ay
	for submit <at> debbugs.gnu.org; Fri, 29 Nov 2013 12:12:59 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:29998)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1VmRce-0003Np-TE
 for 15998 <at> debbugs.gnu.org; Fri, 29 Nov 2013 12:12:57 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AioQABK/CFHO+KEh/2dsb2JhbABEhCa6aBdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IPAS-Result: AioQABK/CFHO+KEh/2dsb2JhbABEhCa6aBdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="40700394"
Received: from 206-248-161-33.dsl.teksavvy.com (HELO pastel.home)
 ([206.248.161.33])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 29 Nov 2013 12:12:51 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id F0C6260EFA; Fri, 29 Nov 2013 12:12:50 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Shigeru Fukaya <shigeru.fukaya@HIDDEN>
Subject: Re: bug#15998: 24.3;
 forward-sexp (scan-sexps) doesn't do well with some SEXPs
Message-ID: <jwvy547b0aj.fsf-monnier+emacsbugs@HIDDEN>
References: <6CEED119478A9shigeru.fukaya@HIDDEN>
Date: Fri, 29 Nov 2013 12:12:50 -0500
In-Reply-To: <6CEED119478A9shigeru.fukaya@HIDDEN> (Shigeru Fukaya's message
 of "Fri, 29 Nov 2013 23:45:00 +0900")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 15998
Cc: 15998 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> `forward-sexp', or `scan-sexps', doesn't seem to skip bool vectors correctly.
> Bool vector's format is like #&N"XXX".
> `forward-sexp' doesn't skip the whole bool vector, but stop before
> double quotation.

Indeed.

> And, maybe, just the same thing occurs for circular objects.
> It skip only the label, and stop before the object.

Indeed.

> Is the current behavior correct?

No, it's not.  Patches welcome.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#15998; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Nov 2013 14:45:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 29 09:45:33 2013
Received: from localhost ([127.0.0.1]:49929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1VmPK1-000889-De
	for submit <at> debbugs.gnu.org; Fri, 29 Nov 2013 09:45:33 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51313)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <shigeru.fukaya@HIDDEN>) id 1VmPK0-00087y-AT
 for submit <at> debbugs.gnu.org; Fri, 29 Nov 2013 09:45:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <shigeru.fukaya@HIDDEN>) id 1VmPJm-0003bK-PP
 for submit <at> debbugs.gnu.org; Fri, 29 Nov 2013 09:45:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.4 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 FSL_HELO_FAKE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:36365)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <shigeru.fukaya@HIDDEN>) id 1VmPJm-0003bG-Lz
 for submit <at> debbugs.gnu.org; Fri, 29 Nov 2013 09:45:18 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:52874)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <shigeru.fukaya@HIDDEN>) id 1VmPJe-0003xi-8G
 for bug-gnu-emacs@HIDDEN; Fri, 29 Nov 2013 09:45:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <shigeru.fukaya@HIDDEN>) id 1VmPJV-0003Jj-SE
 for bug-gnu-emacs@HIDDEN; Fri, 29 Nov 2013 09:45:10 -0500
Received: from mail-pb0-x22f.google.com ([2607:f8b0:400e:c01::22f]:50170)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <shigeru.fukaya@HIDDEN>) id 1VmPJV-0003Hd-Lp
 for bug-gnu-emacs@HIDDEN; Fri, 29 Nov 2013 09:45:01 -0500
Received: by mail-pb0-f47.google.com with SMTP id um1so14511310pbc.6
 for <bug-gnu-emacs@HIDDEN>; Fri, 29 Nov 2013 06:45:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:mime-version:content-type
 :content-transfer-encoding:message-id;
 bh=BhwIYUztwKf3aATcEnfMDOrcB4HDEKnq+dLGWvzSzfQ=;
 b=wiUSHOwfSCR5+di1shuO8dvPjCggloRyFcz+0mp68pjXJcnQFEHGiANZkro5VhiZRC
 84XPXqeYKtS+bhq6qCHrBHwRs5bb2fw9THgkF9nmB6PZKboQIUJfVnGr/Ij4hpGc+1BW
 DGDF6VPOIu80o+jfS2X03G8Ww6NRfU9dTgbN17YFBTZ5NwLlGDwe6tGzLjHCslImSWsW
 F9ATWqQFrkGIriWq9zOGfj+CJsnikArweYKUOart8suUw0gyTb0nwz9RBRbIZjHhoSFZ
 xmTBW3/w+DxyZwtQUSNtd7K5ahcLy0aJxpudKMNGbt6DwHZ1UY76tFk7IZZznIXBa7ux
 hIPA==
X-Received: by 10.67.30.100 with SMTP id kd4mr53577983pad.24.1385736300380;
 Fri, 29 Nov 2013 06:45:00 -0800 (PST)
Received: from gmail.com (115x125x38x6.ap115.ftth.ucom.ne.jp. [115.125.38.6])
 by mx.google.com with ESMTPSA id
 yg3sm116307582pab.16.2013.11.29.06.44.59 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1 cipher=ECDHE-RSA-AES128-SHA bits=128/128);
 Fri, 29 Nov 2013 06:44:59 -0800 (PST)
From: Shigeru Fukaya <shigeru.fukaya@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; forward-sexp (scan-sexps) doesn't do well with some SEXPs
Date: Fri, 29 Nov 2013 23:45:00 +0900
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: HidemaruMail 6.18 (WinNT,602)
Message-Id: <6CEED119478A9shigeru.fukaya@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

`forward-sexp', or `scan-sexps', doesn't seem to skip bool vectors correctly.

Bool vector's format is like #&N"XXX".
`forward-sexp' doesn't skip the whole bool vector, but stop before
double quotation.

And, maybe, just the same thing occurs for circular objects.
It skip only the label, and stop before the object.

Is the current behavior correct?

Regards,
Shigeru




Acknowledgement sent to Shigeru Fukaya <shigeru.fukaya@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#15998; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 4 Mar 2016 15:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.